Retrieve all Interfaces
Get all Interfaces for an Instance
Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.
Authentication
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
Query parameters
Response headers
Response
ID of the Tenant that owns the associated Instance when it differs from the selected VPC or VPC Prefix owner; null when the owners match
ID of the Tenant that owns the selected VPC or VPC Prefix when it differs from the Instance owner; null when the owners match
Reported IPv4 or IPv6 prefixes in CIDR notation, ordered IPv4 before IPv6. This list is independent of ipAddresses; SLAAC can report an IPv6 prefix without a fixed host address. Match prefixes and addresses by address family, not list position. Empty when no prefixes are available.
Explicitly requested IP address for the interface. This is only used with an explicit vpcPrefixId and is not valid with subnetId or VPC-selected interfaces. The least-significant host bit must be 1.
Inline interface-local routing profile options. Only valid for VPC-backed interfaces.
Date/time when the Interface was created
Date/time when the Interface was last updated